import { BaseResource } from "../../common";
import { APIOcrFileUploadResponse, APIOcrPreSingedUrlResponse, OCRData } from "./interfaces";
export declare class OCR extends BaseResource {
    private constructor();
    static get resourceName(): string;
    static get serviceName(): string;
    /**
     * Returns data for uploading lab file.
     *
     * @param fileName Name of the file.
     */
    static getPreSingedUrl(fileName: string): Promise<APIOcrPreSingedUrlResponse>;
    /**
     * Uploads lab file to ocr service.
     *
     * @param file File record key.
     * @param fileType Type of the file.
     */
    static upload(file: Record<string, string>["key"], fileType: File["type"]): Promise<APIOcrFileUploadResponse>;
    /**
     * Return request status from OCR.
     *
     * @param requestId Id of the request.
     */
    static getRequestStatus(requestId: string): Promise<OCRData>;
}
